# I3DExSkinningAlgorithm Struct Reference

Inheritance diagram for I3DExSkinningAlgorithm:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | Initialize (I3DShInstance *instance, const TMCPtrArray< I3DShJoint > &joints)=0
virtual void MCCOMAPI | Reset ()=0
virtual void MCCOMAPI | GetJointsInverseReferenceTransforms (TMCArray< TTransform3D > &outTransforms)=0
virtual void MCCOMAPI | SetJointsInverseReferenceTransforms (const TMCArray< TTransform3D > &inTransforms)=0
virtual void MCCOMAPI | GetInstanceGlobalReferenceTransform (TTransform3D &outTransform)=0
virtual void MCCOMAPI | SetInstanceGlobalReferenceTransform (const TTransform3D &inTransform)=0
virtual void MCCOMAPI | CreateSkinningAlgorithmContext (I3DExSkinningAlgorithmContext **context, I3DShInstance *instance, const TMCPtrArray< I3DShJoint > &joints)=0
virtual void MCCOMAPI | ConvertSkinningData (const TVertexSkinInfo &vertexInfo, TVertexSkinInfo &outConvertedData)=0
virtual void MCCOMAPI | PreInitilizeSkinningData (boolean forceRecompute=false)=0
virtual void MCCOMAPI | InitilizeSkinningData (const TVector3 &vertex, TVertexSkinInfo &vertexInfo)=0
virtual void MCCOMAPI | PostInitilizeSkinningData ()=0
virtual boolean MCCOMAPI | CanRecomputeVertexWeights ()=0

## Member Function Documentation

virtual boolean MCCOMAPI I3DExSkinningAlgorithm::CanRecomputeVertexWeights | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSkinningAlgorithm::ConvertSkinningData | ( | const TVertexSkinInfo & | vertexInfo,
|  | TVertexSkinInfo & | outConvertedData |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExSkinningAlgorithm::CreateSkinningAlgorithmContext | ( | I3DExSkinningAlgorithmContext ** | context,
|  | I3DShInstance * | instance,
|  | const TMCPtrArray< I3DShJoint > & | joints |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExSkinningAlgorithm::GetInstanceGlobalReferenceTransform | ( | TTransform3D & | outTransform | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSkinningAlgorithm::GetJointsInverseReferenceTransforms | ( | TMCArray< TTransform3D > & | outTransforms | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSkinningAlgorithm::Initialize | ( | I3DShInstance * | instance,
|  | const TMCPtrArray< I3DShJoint > & | joints |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExSkinningAlgorithm::InitilizeSkinningData | ( | const TVector3 & | vertex,
|  | TVertexSkinInfo & | vertexInfo |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExSkinningAlgorithm::PostInitilizeSkinningData | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSkinningAlgorithm::PreInitilizeSkinningData | ( | boolean | forceRecompute = `false` | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSkinningAlgorithm::Reset | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSkinningAlgorithm::SetInstanceGlobalReferenceTransform | ( | const TTransform3D & | inTransform | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSkinningAlgorithm::SetJointsInverseReferenceTransforms | ( | const TMCArray< TTransform3D > & | inTransforms | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- I3DExSkinningAlgorithm.h